this.name					= "cargoSpotter_activate.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for manual activation of the cargo spotter";
this.version				= "1.01";
"use strict";

this.activated = function()
	{
	if(player.ship.equipmentStatus("EQ_CARGOSPOTTER") !== "EQUIPMENT_OK")
		{ 
		missionVariables.cargoSpotter = "INACTIVE"; 
		return;
		}

	if(!worldScripts["cargoSpotter_worldScript.js"])
		{
		player.consoleMessage("Cargo Spotter script error.");
		log(this.name, "Cargo Spotter script activation failed.");
		return;
		} 
		
	if(missionVariables.cargoSpotter && missionVariables.cargoSpotter === "ACTIVE")
		{ 
		missionVariables.cargoSpotter = "INACTIVE"; 
		player.consoleMessage("Cargo Spotter deactivated.");
		worldScripts["cargoSpotter_worldScript.js"].$stopTimer();
		}
	else
		{
		missionVariables.cargoSpotter = "ACTIVE"; 
		player.consoleMessage("Cargo Spotter activated.");
		worldScripts["cargoSpotter_worldScript.js"].$startTimer();
		} 
	}
