this.name					= "cargoSpotter_glow.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Glow script.";
this.version				= "1.01";
"use strict";

this.effectSpawned = function()
	{ 
	if(!this.visualEffect) { return; }
	this.callbackID = addFrameCallback(this.$positionGlow.bind(this)); 
	}

this.$positionGlow = function()
	{
	if(missionVariables.cargoSpotter !== "ACTIVE" || !this.visualEffect || !this.visualEffect.isValid
		|| !this.visualEffect.hasOwnProperty("$cargoSpotter_cargoEntity") || !this.visualEffect.$cargoSpotter_cargoEntity.isInSpace
		|| !player.ship || !player.ship.isValid || this.visualEffect.position.distanceTo(player.ship.position) > 25600)
			{ 
			delete this.visualEffect.$cargoSpotter_cargoEntity.$cargoSpotter_tagged;
			this.visualEffect.remove();
			return;
			}
			
	this.visualEffect.position = this.visualEffect.$cargoSpotter_cargoEntity.position;
	}

this.effectRemoved = function()
	{
	if(this.callbackID) 
		{ removeFrameCallback(this.callbackID); } 
	delete this.callbackID;
	}
	
